Subject: Re: [Extra] Magnus Westerlund's Discuss on draft-ietf-extra-sieve-mailboxid-06: (with DISCUSS)

From: Magnus Westerlund <[email-masked]>
Date: Tue, 9 Mar 2021 10:46:41 +0000

Hi,

Haven't seen an answer to my question if removing the formal syntax really
was an appropriate resolution of my discuss. I have removed my discuss as I
am stepping down. I think the responsible AD should take a serious
consideration of this before they approve the document. 

Cheers

Magnus Westerlund

From: iesg <[email-masked]> On Behalf Of Magnus Westerlund
Sent: den 16 februari 2021 15:20
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: RE: Magnus Westerlund's Discuss on
draft-ietf-extra-sieve-mailboxid-06: (with DISCUSS)

Hi,

I was unfortunately sick last week so I didn't managed to respond before you
done the work. 

>From my perspective adding the references would have been better as formal
syntax if correct are very useful. I don't know enough about sieve
specifications to know if removing the formal language here is good enough
or making the specification a bit worse. My discuss was only to ensure
things was clear, and though some small wording additions and correct
references would have resolved things.

WG and Barry, what are your opinion on this change?

Cheers

Magnus Westerlund

From: Bron Gondwana <[email-masked] <mailto:[email-masked]>
Sent: den 8 februari 2021 05:30
To: Magnus Westerlund <[email-masked]
<mailto:[email-masked]> >; The IESG <[email-masked]
<mailto:[email-masked]> >
Cc: [email-masked]
<mailto:[email-masked]> ; [email-masked]
<mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ;
Jiankang Yao <[email-masked] <mailto:[email-masked]> >
Subject: Re: Magnus Westerlund's Discuss on
draft-ietf-extra-sieve-mailboxid-06: (with DISCUSS)

On Wed, Dec 16, 2020, at 01:22, Magnus Westerlund via Datatracker wrote:

Magnus Westerlund has entered the following ballot position for

draft-ietf-extra-sieve-mailboxid-06: Discuss

When responding, please keep the subject line intact and reply to all

email addresses included in the To and CC lines. (Feel free to cut this

introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html

for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:

https://datatracker.ietf.org/doc/draft-ietf-extra-sieve-mailboxid/

Hi Magnus,

Sorry for the lack of response on this - I missed it somehow at the time!

----------------------------------------------------------------------

DISCUSS:

----------------------------------------------------------------------

First part is a formality discuss that likely is fairly easy to resolve

So this document uses formal syntax, however it does not explicitly
reference

which. So I noticed RFC 5228 that do reference RFC 4234 which is now
obsolete,

and the current in force version of ABNF is RFC 5234. Also as no WSP are

included in the rules, this document appears to use ABNF to express RFC 5228

grammar and not parsing syntax. So please clarify prior to the usages what
the

formal language is and what it represents.

So this needs to be done prior to Section 5. But, can you please check that
you

actually have the same level of  formal syntax in Section 5 that goes
through

RFC 8580 as what is in Section 8. Otherwise please clarify both.

I'm happy to drop the formal language section entirely.  I just checked
RFC8579 which describes a very similar extension and it has no formal ABNF
section.  Would you be satisfied with having the ABNF dropped entirely and
using prose and descriptions similar to what's in RFC8579?

Secondly, I do consider the defining text first paragraph of in Section 4.1
so

hard to interpret that it must be fixed prior to publication. So although
you

already are going to address it based on discussion of Martin Duke's
comment, I

want to hold a discuss on this.

I will wordsmith that and post a new draft.

Thanks,

Bron.

--

  Bron Gondwana, CEO, Fastmail Pty Ltd

  [email-masked] <mailto:[email-masked]>

---

From: Ken Murchison <[email-masked]>
Date: Tue, 9 Mar 2021 08:47:35 -0500

Seeing Magnus' message had me go back and look at the grammar in -06 and 
-07.

In both, the extension to FCC in Section 5 should be something like:

FCC-OPTS /= ":mailboxid" string
                       ; MUST NOT appear with the :specialuse option

As far as the other formal syntax items that were removed (tag and 
test), I don't think extending them as they were was useful and possibly 
incorrect?  Neither grammar element is being extended.  Both the 
mailboxidexists test and the :mailboxid tag fall legally into the 
existing RFC 5228 grammar elements.  Most (all?) Sieve extensions have 
extended the syntax of specific commands, not the formal grammar (e.g., 
the Copy extension extended 'fileinto' directly, not 'command')

On 3/9/21 5:46 AM, Magnus Westerlund wrote:
>
> Hi,
>
> Haven’t seen an answer to my question if removing the formal syntax 
> really was an appropriate resolution of my discuss. I have removed my 
> discuss as I am stepping down. I think the responsible AD should take 
> a serious consideration of this before they approve the document.
>
> Cheers
>
> Magnus Westerlund
>
> *From:*iesg <[email-masked]> *On Behalf Of *Magnus Westerlund
> *Sent:* den 16 februari 2021 15:20
> *To:* [email-masked]; [email-masked]
> *Cc:* [email-masked]; [email-masked]; 
> *Subject:* RE: Magnus Westerlund's Discuss on 
> I was unfortunately sick last week so I didn’t managed to respond 
> before you done the work.
>
> From my perspective adding the references would have been better as 
> formal syntax if correct are very useful. I don’t know enough about 
> sieve specifications to know if removing the formal language here is 
> good enough or making the specification a bit worse. My discuss was 
> only to ensure things was clear, and though some small wording 
> additions and correct references would have resolved things.
>
> *From:*Bron Gondwana <[email-masked] 
> <mailto:[email-masked]>>
> *Sent:* den 8 februari 2021 05:30
> *To:* Magnus Westerlund <[email-masked] 
> <mailto:[email-masked]>>; The IESG <[email-masked] 
> <mailto:[email-masked]>>
> *Cc:* [email-masked] 
> <mailto:[email-masked]>; 
> [email-masked] <mailto:[email-masked]>; [email-masked] 
> <mailto:[email-masked]>; Jiankang Yao <[email-masked] 
> <mailto:[email-masked]>>
> *Subject:* Re: Magnus Westerlund's Discuss on 
>     Please refer to
>     https://www.ietf.org/iesg/statement/discuss-criteria.html
>     <https://www.ietf.org/iesg/statement/discuss-criteria.html>
>
>     <https://datatracker.ietf.org/doc/draft-ietf-extra-sieve-mailboxid/>
>
> Hi Magnus,
>
>     So this document uses formal syntax, however it does not
>     explicitly reference
>
>     which. So I noticed RFC 5228 that do reference RFC 4234 which is
>     now obsolete,
>
>     grammar and not parsing syntax. So please clarify prior to the
>     usages what the
>
>     So this needs to be done prior to Section 5. But, can you please
>     check that you
>
>     actually have the same level of  formal syntax in Section 5 that
>     goes through
>
> I'm happy to drop the formal language section entirely.  I just 
> checked RFC8579 which describes a very similar extension and it has no 
> formal ABNF section.  Would you be satisfied with having the ABNF 
> dropped entirely and using prose and descriptions similar to what's in 
> RFC8579?
>
>     Secondly, I do consider the defining text first paragraph of in
>     Section 4.1 so
>
>     hard to interpret that it must be fixed prior to publication. So
>     although you
>
>     already are going to address it based on discussion of Martin
>     Duke's comment, I
>